Skip to main content
`Ctrl`+`K`

# TaoComputeJacobian

Computes the Jacobian matrix that has been set with TaoSetJacobianRoutine().

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeJacobian(Tao tao, Vec X, Mat J, Mat Jpre)

Collective

## Input Parameters

- tao - the Tao solver context

- X - input vector

## Output Parameters

- J - Jacobian matrix

- Jpre - matrix used to compute the preconditioner, often the same as `J`

## Notes

Most users should not need to explicitly call this routine, as it is used internally within the minimization solvers.

`TaoComputeJacobian()` is typically used within minimization implementations, so most users would not generally call this routine themselves.

## See Also

TAO: Optimization Solvers, `TaoComputeObjective()`, `TaoComputeObjectiveAndGradient()`, `TaoSetJacobianRoutine()`

## Level

developer

## Location

src/tao/interface/taosolver_hj.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages